Skip to main content
GET
Get Tool Executions

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

tool_id
string
required

ID of the requested tool.

Query Parameters

cursor
string | null

Used for fetching next page. Cursor is returned in the response.

page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
is_error
boolean | null

Filter by error status. If not provided, returns all executions.

agent_id
string | null

Filter by agent ID.

branch_id
string | null

Filter by agent branch ID.

start_time
number | null

Filter executions from this Unix timestamp (inclusive).

end_time
number | null

Filter executions until this Unix timestamp (inclusive).

Response

Successful Response

executions
ToolExecutionResponseModel · object[]
required
has_more
boolean
required
next_cursor
string | null